Subject: Re: [bug#73173] [PATCH] gnu: Update python-rdflib to 7.0.0.

From: Roel Janssen <[email-masked]>
Date: Sun, 29 Sep 2024 17:51:46 +0200

Dear Ludo’,

On Wed, 2024-09-25 at 18:05 +0200, Ludovic Courtès wrote:
> Hi Roel,
> 
> Roel Janssen <[email-masked]> skribis:
> 
> > Dear Guix,
> > 
> > I'd like to update python-rdflib to 7.0.0. When building the
> > reverse-
> > dependent packages, I found that python-prov and cwltool don't
> > support
> > version 7.  So the attached patch keeps 6.1.1 around but upgrades
> > all
> > the others. I built the following packages successful after the
> > upgrade:
> > - carla
> > - ardour
> > - zeitgeist
> > - python-schema-salad
> > - python-sparqlwrapper
> > - python-cfgraph
> > - python-pyrdfa3
> > - python-sparqlkernel
> > 
> > The following package failed to build, but I believe it's unrelated
> > to
> > the upgrade:
> > - python-pytorch-geometric
> 
> Indeed.  According to <https://qa.guix.gnu.org/issue/73173>, it’s all
> good (it lacks armhf-linux build results, but that’s okay).
> 
> So feel free to push, thanks!
> 

Thank you for your time and efforts!

Upon invoking 'git push', I'm receiving this error message:
  All 109 channel news entries are valid.
  guix git: error: unknown introductory commit and signer
  error: failed to push some refs to  
'ssh://git.savannah.gnu.org/srv/git/guix.git'

My GPG key is still the same, although I updated the expiration date
(and updated the key on Savannah). It looks like the key information in
.guix-authorizations for me is still correct.

Since it's been a while, where should I start reading the documentation
on understanding/overcoming this problem?

Kind regards,
Roel Janssen